{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "ADR_ADRESSE1"; 
            externalType = VARCHAR2; 
            name = adrAdresse1; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADR_ADRESSE2"; 
            externalType = VARCHAR2; 
            name = adrAdresse2; 
            valueClassName = NSString; 
            valueType = S; 
            width = 300; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADR_BP"; 
            externalType = VARCHAR2; 
            name = adrBp; 
            valueClassName = NSString; 
            valueType = S; 
            width = 7; 
        }, 
        {
            allowsNull = Y; 
            columnName = "adr_Gps_latitude"; 
            externalType = NUMBER; 
            name = adrGpsLatitude; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "adr_Gps_Longitude"; 
            externalType = NUMBER; 
            name = adrGpsLongitude; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ADR_LISTE_ROUGE"; 
            externalType = VARCHAR2; 
            name = adrListeRouge; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "ADR_ORDRE"; 
            externalType = NUMBER; 
            name = adrOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADR_URL_PERE"; 
            externalType = VARCHAR2; 
            name = adrUrlPere; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADR_URL_RELATIVE"; 
            externalType = VARCHAR2; 
            name = adrUrlRelative; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADR_URL_TEMPLATE"; 
            externalType = VARCHAR2; 
            name = adrUrlTemplate; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = "BIS_TER"; 
            externalType = VARCHAR2; 
            name = bisTer; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_IMPLANTATION"; 
            externalType = VARCHAR2; 
            name = cImplantation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CODE_POSTAL"; 
            externalType = VARCHAR2; 
            name = codePostal; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            columnName = "C_PAYS"; 
            externalType = VARCHAR2; 
            name = cPays; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CP_ETRANGER"; 
            externalType = VARCHAR2; 
            name = cpEtranger; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_VOIE"; 
            externalType = VARCHAR2; 
            name = cVoie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_DEB_VAL"; 
            externalType = DATE; 
            name = dDebVal; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_VAL"; 
            externalType = DATE; 
            name = dFinVal; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = LOCALITE; 
            externalType = VARCHAR2; 
            name = localite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 60; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NOM_VOIE"; 
            externalType = VARCHAR2; 
            name = nomVoie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 22; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_VOIE"; 
            externalType = VARCHAR2; 
            name = noVoie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = persIdModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEM_PAYE_UTIL"; 
            externalType = VARCHAR2; 
            name = temPayeUtil; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = VILLE; 
            externalType = VARCHAR2; 
            name = ville; 
            valueClassName = NSString; 
            valueType = S; 
            width = 60; 
        }
    ); 
    attributesUsedForLocking = (adrOrdre); 
    className = "org.cocktail.fwkcktlcompta.server.metier.EOGrhumAdresse"; 
    classProperties = (
        adrAdresse1, 
        adrAdresse2, 
        adrBp, 
        adrGpsLatitude, 
        adrGpsLongitude, 
        adrListeRouge, 
        adrOrdre, 
        adrUrlPere, 
        bisTer, 
        cImplantation, 
        codePostal, 
        cpEtranger, 
        cVoie, 
        dCreation, 
        dDebVal, 
        dFinVal, 
        dModification, 
        localite, 
        nomVoie, 
        noVoie, 
        persIdCreation, 
        persIdModification, 
        temPayeUtil, 
        toPays, 
        ville
    ); 
    externalName = "GRHUM.ADRESSE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            adrAdresse1, 
            adrAdresse2, 
            adrBp, 
            adrGpsLatitude, 
            adrGpsLongitude, 
            adrListeRouge, 
            adrOrdre, 
            adrUrlPere, 
            bisTer, 
            cImplantation, 
            codePostal, 
            cpEtranger, 
            cVoie, 
            dCreation, 
            dDebVal, 
            dFinVal, 
            dModification, 
            localite, 
            nomVoie, 
            noVoie, 
            persIdCreation, 
            persIdModification, 
            temPayeUtil, 
            toPays, 
            ville
        ); 
        "_javaClientClassName" = "org.cocktail.fwkcktlcompta.client.metier.EOGrhumAdresse"; 
    }; 
    isReadOnly = Y; 
    name = "FwkCktlCompta_Grhum_Adresse"; 
    primaryKeyAttributes = (adrOrdre); 
    relationships = (
        {
            destination = "FwkCktlCompta_Grhum_Pays"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cPays; sourceAttribute = cPays; }); 
            name = toPays; 
        }
    ); 
}
